﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace AssemblyInfoEditor.VersionManagement
{
    public enum IncrementStyle
    {
        /// <summary>
        /// Adds an integer value of 1 to the selected version number.
        /// </summary>
        AddOne,
        /// <summary>
        /// Sets the selected version number as the time the build was initiated (i.e., 256 for 2:56 AM)
        /// </summary>
        TimeStamp,
        YearStamp,
        DeltaBaseDate,
        YearDayOfYear,
        DeltaBaseYearDayOfYear,
        DeltaBaseYear,
        YearDecadeStamp,
        MonthStamp,
        DayStamp,
        MonthAndDayStamp,
        DeltaHours,
        None,
    }
}
